## deja-dup 27.3.1

=== debian/changelog ===
deja-dup (27.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Fixes unit tests on 32-bit systems

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Jun 2013 14:34:41 -0400

deja-dup (27.3-0ubuntu1) saucy; urgency=low

  * New upstream release
    - Supports System Settings panels with GNOME 3.8
  * debian/control:
    - Adjust valac dependency to be >= 0.16

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Jun 2013 10:20:09 -0400

deja-dup (26.0-0ubuntu2) saucy; urgency=low

  * Build-depend on valac (>= 0.18) instead of valac-0.18 for easier
    transitions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Jun 2013 18:06:52 -0400
