=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_auto_configure:
	dh_auto_configure -- --with-ccpanel --with-nautilus --with-unity

override_dh_auto_test:
	DEJA_DUP_DEBUG=1 make check

override_dh_makeshlibs:
	dh_makeshlibs -Xlibdeja-dup.so

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a \
	           -Xlibduplicity.la -Xlibduplicity.a \
	           -Xlibcommon.la -Xlibcommon.a \
	           -Xlibwidgets.la -Xlibwidgets.a

override_dh_installchangelogs:
	dh_installchangelogs NEWS
