=== debian/tests/control ===
Tests: make-check
Restrictions: build-needed
