=== debian/changelog ===
deja-dup (30.0-0ubuntu4) trusty; urgency=medium

  * debian/patches/drop-u1.patch:
    - Update from upstream patches to provide an error message so that
      users know what is happening if they have a previously configured
      Ubuntu One backup.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 02 Apr 2014 22:19:02 -0400

deja-dup (30.0-0ubuntu3) trusty; urgency=medium

  * Drop U1 backend (LP: #1300916)
  * Provide a temporary home for tests to pass.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 15:47:13 +0100

deja-dup (30.0-0ubuntu2) trusty; urgency=medium

  [ Martin Pitt ]
  * Add missing "make" test dependency.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Mar 2014 09:18:16 -0400

deja-dup (30.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Fixes build error with CMake 2.8.12
    - Updates translations
  * debian/patches/rm-full-path.patch: Dropped, included upstream

 -- Michael Terry <mterry@ubuntu.com>  Fri, 28 Mar 2014 09:03:56 -0400

deja-dup (29.5-0ubuntu2) trusty; urgency=medium

  * debian/patches/rm-full-path.patch:
    - Backport patch from trunk; specify full path to /bin/rm because
      one of the tests modifies PATH and a call to 'rm' may fail depending
      on the shell used.  Fixes dep8 test.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jan 2014 23:21:00 -0500

deja-dup (29.5-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Re-enables libunity support
    - Requires duplicity 0.6.23

 -- Michael Terry <mterry@ubuntu.com>  Thu, 30 Jan 2014 16:54:22 -0500

deja-dup (29.4-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Fixes building with latest valac
    - Adds support for unity-control-center

 -- Michael Terry <mterry@ubuntu.com>  Fri, 10 Jan 2014 18:33:58 -0500

deja-dup (29.1-0ubuntu4) trusty; urgency=low

  * debian/rules:
    - Set DEB_HOST_MULTIARCH ourselves, instead of relying on it to be
      set for us.  Allows dep8 test to be built the same way the deb
      file is, fixing dep8 failure.

 -- Michael Terry <mterry@ubuntu.com>  Sat, 16 Nov 2013 08:40:25 -0500

deja-dup (29.1-0ubuntu3) trusty; urgency=low

  * debian/tests/control:
    - Comment out autopilot test completely rather than just calling
      exit 0 in test to disable it.  The dependencies for the test
      are causing a problem in jenkins.  This can be enabled in future
      when upstream gets the tests to work in xvfb.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 08 Nov 2013 02:04:12 -0500

deja-dup (29.1-0ubuntu2) trusty; urgency=low

  * debian/patches/fix-parallel-build.patch:
    - Backport patch from upstream to fix parallel builds

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Nov 2013 22:36:36 -0500

deja-dup (29.1-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Update look and feel of preferences
  * debian/control, debian/rules:
    - Bump required versions of GTK+, GLib, and control center
    - Update for new CMake build system

 -- Michael Terry <mterry@ubuntu.com>  Mon, 30 Sep 2013 18:42:43 -0400
