## deja-dup 30.0-0ubuntu4+7.0trisquel1

=== debian/changelog ===
deja-dup (30.0-0ubuntu4+7.0trisquel1) belenos; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 18 May 2014 17:43:54 +0200
