=== debian/changelog ===
deja-dup (32.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/copyright: Fix copyright file, files have been moved around

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Oct 2014 10:51:13 +0200

deja-dup (30.0-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/01_CMP0004_OLD.patch: Fixed upstream
  * Add debian/gbp.conf file
  * debian/control.in: Re-add the Vcs-* fields with the new URL's

 -- Laurent Bigonville <bigon@debian.org>  Fri, 11 Apr 2014 22:21:25 +0200

deja-dup (29.5-1) unstable; urgency=low

  * New upstream release (Closes: #667722, #671479)
    - Adjust the {build-}dependencies
    - debian/rules, debian/control: deja-dup is now using cmake
  * Adopt deja-dup by the GNOME team (Closes: #740924)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * Add debian/patches/01_CMP0004_OLD.patch: Fix FTBFS due to changes in cmake
  * debian/rules: Drop the override_dh_builddeb target, this is not needed
    anymore
  * Fix the debian/watch URL
  * Bump debhelper compatibility to 9 to get the hardening flags for free
  * debian/rules: Properly exclude nautilus plugin from dh_makeshlibs call
    (Closes: #651279)
  * debian/control: Adjust the recommends, add gvfs-backends and rename
    python-rackspace-cloudfiles to python-cloudfiles (Closes: #669045, #732730)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Mar 2014 22:11:37 +0100

deja-dup (20.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "configure:3028: error: xmllint not found":
    change build dependency from itstool to yelp-tools; thanks, Michael Biebl.
    (Closes: #666225)

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 Jun 2012 16:37:10 +0200

deja-dup (20.2-2) unstable; urgency=low

  * ACK previous NMU (Closes: #651257)
  * Delete old unused patch (Closes: #651258)
  * Drop gnome-control-center support as Gnome 3 upstream don't want 3rd
  party applications to be installed there (Closes: #650142)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 08 Dec 2011 12:15:32 +0100
