=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Laurent Bigonville <bigon@debian.org>, gregor herrmann <gregoa@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: cmake,
               debhelper (>= 9),
               gnome-pkg-tools,
               intltool (>= 0.40),
               yelp-tools,
               libglib2.0-dev (>= 2.34),
               libgtk-3-dev (>= 3.6),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               pkg-config,
               valac (>= 0.20)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-gnome/deja-dup.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnome/deja-dup.git;a=summary

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.6.23)
Recommends: gvfs-backends, python-boto (>= 0.9d), python-cloudfiles, ssh-client | openssh-client
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-dbg
Architecture: any
Depends: deja-dup (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Priority: extra
Description: Déjà Dup debugging symbols
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3 or
    Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop
 .
 This package contains gdb debugging symbols for the deja-dup package.
